/* S3 batch file to display and install drivers */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
 Do
    say ""
    say "Please Wait..."
  /* Go search for the OS2.INI file, this will be our bootdrive */
  os2path = SysSearchPath('PATH', 'OS2.INI');
  bootdrive = FILESPEC("drive", os2path);

  /* The following files need to be in the proper directory 	*/
'@ECHO OFF'
  "copy S3INST.DLL" bootdrive"\OS2\DLL >NUL"
  "copy S3FULL.DSC" bootdrive"\OS2\INSTALL >NUL"


  /* Copy DSPINSTL.EXE to \os2\install for OS/2 2.00 only	*/
  ver = SysOS2Ver();
  If (Compare(ver, '2.00') = 0)
     Then
	Do
	   "copy DSPINSTL.EXE" bootdrive"\OS2\INSTALL >NUL"
	   "copy DSPINSTL.HLP" bootdrive"\OS2\HELP >NUL"
	End

  DSPINSTL.EXE			/* go execute DSPINSTL */
  say ""
 End

S3INSTL_EXIT:
  EXIT
